Bug 10892 - Can no longer change backspace key to emit ^H
Summary: Can no longer change backspace key to emit ^H
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-18 14:49 UTC by Rick Richardson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-30 17:55:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rick Richardson 2000-04-18 14:49:39 UTC
In previous RH releases, *including the RH62. BETA*, you could change the
Backspace key to emit ^H by putting this in your $HOME/.Xdefaults:

# Fix backspace key
*ttyModes: erase ^H
# End Fix backspace key

This was a minor change that our users got used to having to make.

In the released RH6.2, this doesn't work anymore.  No matter what you do
with this, the Backspace key emits ^? (0x7f).

This is a real issue with cross platform compatibility, as most Unixes and
Windows expect to see ^H to backspace a character.  And now there seems to
be no way to convince the Backspace key to work properly.

If there is a newer method for changing the Backspace key to emit ^H, it
needs to be documented.

-Rick Richardson (rick@remotepoint.com)

Comment 1 Preston Brown 2000-05-30 17:55:59 UTC
If you need to change the key bindings, you can need to override the keybindings
specified in /usr/lib/X11/app-defaults/XTerm with your own settings in
$HOME/.Xresources.

! keyboard setup
*VT100*backarrowKey: true


Note You need to log in before you can comment on or make changes to this bug.